$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.21.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.32.21.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'F21A43D8925FA2D163B95443BA73901CD9ABB65D1E56C0FE914C9A17CB8F68F7'
  checksumType = 'sha256'
  checksum64 = 'F21A43D8925FA2D163B95443BA73901CD9ABB65D1E56C0FE914C9A17CB8F68F7'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.32.21-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
